Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Is running 32bit/64bit Eclipse fine under 64bit Linux?
Is running 32bit/64bit Eclipse fine under 64bit Linux? [message #759092] Sat, 26 November 2011 09:59 Go to next message
Ben StoverFriend
Messages: 104
Registered: January 2010
Senior Member
I have setup a 64bit Linux (Ubuntu/CentOS).

Can I install now 64bit Eclipse (3.6 or 3.7) and run it successfully?

Or is 32bit Eclipse recommended because more plugins support 32bit?

Ben
Re: Is running 32bit/64bit Eclipse fine under 64bit Linux? [message #759222 is a reply to message #759092] Sun, 27 November 2011 19:25 Go to previous messageGo to next message
Deepak Azad is currently offline Deepak AzadFriend
Messages: 545
Registered: July 2009
Senior Member
On 11/26/2011 3:29 PM, Ben wrote:
> I have setup a 64bit Linux (Ubuntu/CentOS).
>
> Can I install now 64bit Eclipse (3.6 or 3.7) and run it successfully?
>
> Or is 32bit Eclipse recommended because more plugins support 32bit?
>
I don't think that you should face a problem with 64bit Eclipse, at
least in terms of plugin support. (I think the only set of plugins where
32 or 64 bit matters are part of the Eclipse Platform e.g. SWT)

--
Deepak Azad
http://wiki.eclipse.org/JDT/FAQ
Re: Is running 32bit/64bit Eclipse fine under 64bit Linux? [message #759414 is a reply to message #759092] Mon, 28 November 2011 15:36 Go to previous message
Dani Megert is currently offline Dani MegertFriend
Messages: 3801
Registered: July 2009
Senior Member
On 26.11.2011 10:59, Ben wrote:
> I have setup a 64bit Linux (Ubuntu/CentOS).
>
> Can I install now 64bit Eclipse (3.6 or 3.7) and run it successfully?
Yes, but you need to make sure that you use a 64-bit JRE.

Dani
>
> Or is 32bit Eclipse recommended because more plugins support 32bit?
>
> Ben
Previous Topic:ASTVisitor - geting line number of MethodDeclaration
Next Topic:Question about Enterprise JavaBeans standard approach.
Goto Forum:
  


Current Time: Mon Nov 24 14:20:50 GMT 2014

Powered by FUDForum. Page generated in 0.01649 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software